Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.utils
Class CinemaRegexp

    java.lang.Object
      |
      +--uk.ac.man.bioinf.module.Module
            |
            +--uk.ac.man.bioinf.apps.xml.XMLModule
                  |
                  +--uk.ac.man.bioinf.apps.cinema.CinemaModule
                        |
                        +--uk.ac.man.bioinf.apps.cinema.utils.CinemaRegexp

All Implemented Interfaces:
  AlignmentEventProvider, CinemaFramedActionProvider

public class CinemaRegexp
extends CinemaModule
implements CinemaFramedActionProvider

CinemaRegexp.java Provides support for various regexp searching facilities. Created: Fri Feb 9 11:38:52 2001

Version:
  $Id: CinemaRegexp.java,v 1.4 2001/05/22 16:03:01 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`CinemaRegexp()`

Method Summary
`Action[]` | `getActions(CinemaAlignmentFrame frame)`
`String` | `getVersion()` Returns the version of this module.

Methods inherited from class uk.ac.man.bioinf.apps.cinema.CinemaModule
`addAlignmentListener, addCinemaPropertyChangeListener, addCinemaPropertyChangeListener, addVetoableAlignmentListener, clearSequenceTitleColor, destroy, fireCinemaPropertyChange, getAlignmentSelectionModel, getColorMap, getRequiredIdentifiers, getSequenceAlignment, removeAlignmentListener, removeCinemaPropertyChangeListener, removeCinemaPropertyChangeListener, removeVetoableAlignmentListener, sendStatusMessage, setAlignmentSelectionModel, setColorMap, setSequenceAlignment, setSequenceTitleColor`

Methods inherited from class uk.ac.man.bioinf.apps.xml.XMLModule
`getConfigProperties, getConfigTree`

Methods inherited from class uk.ac.man.bioinf.module.Module
`addPropertyChangeListener, addPropertyChangeListener, finalize, firePropertyChange, firePropertyChange, firePropertyChange, getContext, getIdentifier, getRequiredModule, getRequiredModules, hasListeners, isDestroyed, isStarted, load, removePropertyChangeListener, removePropertyChangeListener, runStart, setContext, start`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CinemaRegexp

    public CinemaRegexp()

Method Detail

### getActions

    public Action[] getActions(CinemaAlignmentFrame frame)

  Specified by:
    `getActions` in interface `CinemaFramedActionProvider`

### getVersion

    public String getVersion()

  Description copied from class: `Module`
  Returns the version of this module.

  Specified by:
    `getVersion` in class `Module`
  Returns:
    the version

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD